Bug 186406 - Gnome-bluetooth manager will not run under Enforcing SELinux settings.
Gnome-bluetooth manager will not run under Enforcing SELinux settings.
Product: Fedora
Classification: Fedora
Component: selinux-policy-targeted (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Daniel Walsh
Depends On:
  Show dependency treegraph
Reported: 2006-03-23 08:07 EST by Scott
Modified: 2007-11-30 17:11 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-05-05 11:03:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
grep of "blue" against /var/messages/log (9.30 KB, text/plain)
2006-03-23 08:07 EST, Scott
no flags Details

  None (edit)
Description Scott 2006-03-23 08:07:17 EST
Description of problem: Gnome-bluetooth manager will not run under Enforcing
SELinux settings.

Version-Release number of selected component (if applicable):

How reproducible:
every time

Steps to Reproduce:
1. Try to start Gnome-bluetooth manager from Gnome menu or CLI

Actual results:
Nothing appears to happen

Expected results:
Bluetooth manager to start up

Additional info:
If you change to permissive SELinux settings it appears to work fine.  This was
on a freshly installed system with updates applied.  No customisations made yet.
Comment 1 Scott 2006-03-23 08:07:17 EST
Created attachment 126540 [details]
grep of "blue" against /var/messages/log
Comment 2 Rahul Sundaram 2006-03-23 08:28:46 EST

SELinux bugs should be assigned to SELinux components regardless of the actual
package since the policy is managed centrally. Reassigning. 
Comment 3 Andy Burns 2006-04-02 07:46:58 EDT
Essentially a "me too" running FC5 with all released updates (not testing on
this box) with selinux enforcing 

Same errors as reported above from hcid/bluez-pin/sdpd/rfcomm
Comment 4 Daniel Walsh 2006-04-03 11:57:05 EDT
Fixed in selinux-policy-2.2.29-2.fc5

Comment 5 Jeroen Benckhuijsen 2006-04-22 09:49:48 EDT
Using bluetooth with selinux-policy-2.2.29-3.fc5 does not work with selinux set
to enforce. The following message is shown in /var/log/messages:

Apr 22 10:33:41 f10197 hcid[2069]: Can't get system message bus name: Connection
":1.0" is not allowed to own the service "org.bluez" due to SELinux policy
Apr 22 10:33:41 f10197 sdpd[2072]: Bluetooth SDP daemon
Apr 22 10:33:41 f10197 hcid[2069]: Unable to get on D-BUS

Using setenforce to change se-linux to permisseve allows bluetooth to work.

Is this bug perhaps connected to bug # 182094?
Comment 6 Daniel Walsh 2006-04-24 22:45:17 EDT
Are you seeing any AVC MEssages?
Comment 7 Jeroen Benckhuijsen 2006-04-25 14:54:32 EDT
I've scanned /var/log/messages for some messages. Near the messages mentioned
above no SELinux messages are present. There is however a message, which might
be of interest??

Apr 23 17:13:06 i243061 kernel: audit(1145805186.643:30): user pid=2062 uid=81
auid=4294967295 msg='avc:  denied  { acquire_svc } for service=org.bluez
spid=3726 scontext=system_u:system_r:bluetooth_t
tcontext=system_u:system_r:system_dbusd_t tclass=dbus
Comment 8 Daniel Walsh 2006-04-26 09:10:26 EDT
Try selinux-policy-2.2.34-3.fc5
Comment 10 Daniel Walsh 2006-05-05 11:03:45 EDT
Closing as these have been marked as modified, for a while.  Feel free to reopen
if not fixed

Note You need to log in before you can comment on or make changes to this bug.